Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.invocation
Class AbstractInvocationContext

    java.lang.Object
      org.jboss.portal.common.invocation.AbstractInvocationContext

All Implemented Interfaces:
  InvocationContext

Direct Known Subclasses:
  AbstractPortletInvocationContext, ControllerContext, JCRCommandContext, PortletInvocationContextSupport, ServerInvocationContextImpl

    public class AbstractInvocationContext

extends java.lang.Object
implements InvocationContext

Version:
  $Revision: 7228 $
Author:
  Julien Viet

Constructor Summary
`AbstractInvocationContext()`

Method Summary
`protected void` | `addResolver(Scope resolverScope, AttributeResolver resolver)`
`protected void` | `addResolver(Scope resolverScope, InvocationContext federatedContext)`
`java.lang.Object` | `getAttribute(Scope attrScope, java.lang.Object attrKey)` Returns an attribute value.
`AttributeResolver` | `getAttributeResolver(Scope attrScope)` Return the attribute resolver of this context.
`void` | `removeAttribute(Scope attrScope, java.lang.Object attrKey)` Remove an attribute value.
`void` | `setAttribute(Scope attrScope, java.lang.Object attrKey, java.lang.Object attrValue)` Update an attribute value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractInvocationContext

    public AbstractInvocationContext()

Method Detail

### addResolver

    protected final void addResolver(Scope resolverScope,
                                     InvocationContext federatedContext)
                              throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### addResolver

    protected final void addResolver(Scope resolverScope,
                                     AttributeResolver resolver)
                              throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getAttributeResolver

    public AttributeResolver getAttributeResolver(Scope attrScope)
                                           throws java.lang.IllegalArgumentException

  Description copied from interface: `InvocationContext`
  Return the attribute resolver of this context.

  Specified by:
    `getAttributeResolver` in interface `InvocationContext`
  Parameters:
    `attrScope` - the attribute resolver scope
  Returns:
    the attribute resolver or null if not found
  Throws:
    `java.lang.IllegalArgumentException` - if the attribute scope is invalid

### getAttribute

    public java.lang.Object getAttribute(Scope attrScope,
                                         java.lang.Object attrKey)
                                  throws java.lang.IllegalArgumentException

  Description copied from interface: `InvocationContext`
  Returns an attribute value.

  Specified by:
    `getAttribute` in interface `InvocationContext`
  Parameters:
    `attrScope` - the attribute scope
  Returns:
    the attribute value or null if not found
  Throws:
    `java.lang.IllegalArgumentException` - if the attribute key or the attribute scope is not valid

### setAttribute

    public void setAttribute(Scope attrScope,
                             java.lang.Object attrKey,
                             java.lang.Object attrValue)
                      throws java.lang.IllegalArgumentException

  Description copied from interface: `InvocationContext`
  Update an attribute value.

  Specified by:
    `setAttribute` in interface `InvocationContext`
  Parameters:
    `attrScope` - the attribute scope
    `attrValue` - the attribute value
  Throws:
    `java.lang.IllegalArgumentException` - if the attribute key or the attribute scope is not valid

### removeAttribute

    public void removeAttribute(Scope attrScope,
                                java.lang.Object attrKey)

  Description copied from interface: `InvocationContext`
  Remove an attribute value. If the attribute value is null the resolver must treat the operation as a removal of the attribute.

  Specified by:
    `removeAttribute` in interface `InvocationContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD